Home page logo
/

bugtraq logo Bugtraq mailing list archives

[ MDVSA-2011:110 ] gimp
From: security () mandriva com
Date: Fri, 17 Jun 2011 17:36:01 +0200

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 _______________________________________________________________________

 Mandriva Linux Security Advisory                         MDVSA-2011:110
 http://www.mandriva.com/security/
 _______________________________________________________________________

 Package : gimp
 Date    : June 17, 2011
 Affected: 2009.0, Enterprise Server 5.0
 _______________________________________________________________________

 Problem Description:

 A vulnerability was discovered and corrected in gimp:
 
 Multiple integer overflows in the load_image function in file-pcx.c in
 the Personal Computer Exchange (PCX) plugin in GIMP 2.6.x and earlier
 allow remote attackers to cause a denial of service (application
 crash) or possibly execute arbitrary code via a crafted PCX image
 that triggers a heap-based buffer overflow (CVE-2011-1178).
 
 Packages for 2009.0 are provided as of the Extended Maintenance
 Program. Please visit this link to learn more:
 http://store.mandriva.com/product_info.php?cPath=149&products_id=490
 
 The updated packages have been patched to correct this issue.
 _______________________________________________________________________

 References:

 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1178
 _______________________________________________________________________

 Updated Packages:

 Mandriva Linux 2009.0:
 4c9305c7347c24e75b82bcead3fd673f  2009.0/i586/gimp-2.4.7-1.3mdv2009.0.i586.rpm
 b3f3d0ce56d58f3c587409629f06b964  2009.0/i586/gimp-python-2.4.7-1.3mdv2009.0.i586.rpm
 c61dacfce239be6994e21e66827ea73a  2009.0/i586/libgimp2.0_0-2.4.7-1.3mdv2009.0.i586.rpm
 36310fc05e0c0f376002dcb079c4a18c  2009.0/i586/libgimp2.0-devel-2.4.7-1.3mdv2009.0.i586.rpm 
 d94edc4e4fe007343c33c721f6fcc90c  2009.0/SRPMS/gimp-2.4.7-1.3mdv2009.0.src.rpm

 Mandriva Linux 2009.0/X86_64:
 16c127300e7973ce0b47977335611e93  2009.0/x86_64/gimp-2.4.7-1.3mdv2009.0.x86_64.rpm
 1afc2719e493ece7cb494a4ce9fc8934  2009.0/x86_64/gimp-python-2.4.7-1.3mdv2009.0.x86_64.rpm
 bf51dab0a1d4887a97ed93daa793bc3c  2009.0/x86_64/lib64gimp2.0_0-2.4.7-1.3mdv2009.0.x86_64.rpm
 38f179ba13dd4f38addc6465efcbf2a7  2009.0/x86_64/lib64gimp2.0-devel-2.4.7-1.3mdv2009.0.x86_64.rpm 
 d94edc4e4fe007343c33c721f6fcc90c  2009.0/SRPMS/gimp-2.4.7-1.3mdv2009.0.src.rpm

 Mandriva Enterprise Server 5:
 825ca9372a13f882422c26758a747dc9  mes5/i586/gimp-2.4.7-1.3mdvmes5.2.i586.rpm
 45ef496e085d9c61c55ddcb8d74c5a83  mes5/i586/gimp-python-2.4.7-1.3mdvmes5.2.i586.rpm
 9dcf9cf73c871568cacf21ecf1980a08  mes5/i586/libgimp2.0_0-2.4.7-1.3mdvmes5.2.i586.rpm
 086306b3db13a8af96b2dae41f4bc25b  mes5/i586/libgimp2.0-devel-2.4.7-1.3mdvmes5.2.i586.rpm 
 78151064220c0c940d9b896d73c78a6a  mes5/SRPMS/gimp-2.4.7-1.3mdvmes5.2.src.rpm

 Mandriva Enterprise Server 5/X86_64:
 6330ae666ff8b8fc8ea5067b1b0b836b  mes5/x86_64/gimp-2.4.7-1.3mdvmes5.2.x86_64.rpm
 04ab0eeb27b2874c524738286aa5f054  mes5/x86_64/gimp-python-2.4.7-1.3mdvmes5.2.x86_64.rpm
 3b6c31ceb86ae9ea438877591a52f3b7  mes5/x86_64/lib64gimp2.0_0-2.4.7-1.3mdvmes5.2.x86_64.rpm
 9e5419c70d4a4420a28ac8f4d17e0b04  mes5/x86_64/lib64gimp2.0-devel-2.4.7-1.3mdvmes5.2.x86_64.rpm 
 78151064220c0c940d9b896d73c78a6a  mes5/SRPMS/gimp-2.4.7-1.3mdvmes5.2.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

  http://www.mandriva.com/security/advisories

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________

 Type Bits/KeyID     Date       User ID
 pub  1024D/22458A98 2000-07-10 Mandriva Security Team
  <security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFN+0ZXmqjQ0CJFipgRArRUAKCyrNrNJhrs6gZ/ozsPh7VMotsEDACfVINb
JbUu5COnRdoYZuInFtqdlr0=
=cz41
-----END PGP SIGNATURE-----


  By Date           By Thread  

Current thread:
  • [ MDVSA-2011:110 ] gimp security (Jun 17)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]